$(document).ready(function() {
	// Slider
	var ItemWidth = $('.image_slider_wrapper .slider_item_box').outerWidth(true);
	var ItemMargin = 0;
	
	if (!boxSizingOn) {
		ItemMargin = parseInt($('.image_slider_wrapper .slider_item_box').css('marginLeft').replace('px',''));
	}
	
	var leftOffset = $('.image_slider_wrapper .image_slider_content_inner_wrapper').position().left || 0;
	
	var HolderW = $('.image_slider_wrapper .image_slider_content_outer_wrapper').width();

	var ScrollMaxLeft = -(((ItemWidth + ItemMargin) * ItemsMax) - HolderW);

	$('.image_slider_wrapper .image_slider_content_inner_wrapper').css({
		'width': ((ItemWidth + ItemMargin) * ItemsMax) + 'px'
	});

	var ScrollPosition = 0;

	$('.image_slider_wrapper .slider_image_slider_trigger_right').click(function() {
		++ScrollPosition;
		++ScrollPosition;
		++ScrollPosition;

		var scrollTo = -((ItemWidth + ItemMargin) * ScrollPosition) + leftOffset;
		
		if (scrollTo < ScrollMaxLeft) {
			scrollTo = ScrollMaxLeft - ItemMargin;

			--ScrollPosition;
			--ScrollPosition;
			--ScrollPosition;
		}

		$('.image_slider_wrapper .image_slider_content_inner_wrapper').animate({
			'left': scrollTo + 'px'
		});
	}).unbind('mouseenter').bind('mouseenter', function() {
		$(this).css({
			'opacity': '0.8'
		});
	}).unbind('mouseleave').bind('mouseleave', function() {
		$(this).css({
			'opacity': '1.0'
		});
	});

	$('.image_slider_wrapper .slider_image_slider_trigger_left').click(function() {
		--ScrollPosition;
		--ScrollPosition;
		--ScrollPosition;

		var scrollTo = -((ItemWidth + ItemMargin) * ScrollPosition) + leftOffset;
		if (scrollTo > 0) {
			scrollTo = 0 + leftOffset;

			++ScrollPosition;
			++ScrollPosition;
			++ScrollPosition;
		}

		$('.image_slider_wrapper .image_slider_content_inner_wrapper').animate({
			'left': scrollTo + 'px'
		});
	}).unbind('mouseenter').bind('mouseenter', function() {
		$(this).css({
			'opacity': '0.8'
		});
	}).unbind('mouseleave').bind('mouseleave', function() {
		$(this).css({
			'opacity': '1.0'
		});
	});

});